net.minecraft.entity.ai.attributes

## Class ServersideAttributeMap

- java.lang.Object
- - net.minecraft.entity.ai.attributes.BaseAttributeMap
  - - net.minecraft.entity.ai.attributes.ServersideAttributeMap

-     public class ServersideAttributeMap
      extends BaseAttributeMap

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServersideAttributeMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_111149_a(ModifiableAttributeInstance par1ModifiableAttributeInstance)`
    `AttributeInstance` | `func_111150_b(Attribute par1Attribute)`
    `ModifiableAttributeInstance` | `func_111158_b(String par1Str)`
    `ModifiableAttributeInstance` | `func_111159_c(Attribute par1Attribute)`
    `Collection` | `func_111160_c()`
    `Set` | `func_111161_b()`
    `AttributeInstance` | `getAttributeInstance(Attribute par1Attribute)`
    `AttributeInstance` | `getAttributeInstanceByName(String par1Str)`

    - ### Methods inherited from class net.minecraft.entity.ai.attributes.BaseAttributeMap

      `applyAttributeModifiers, getAllAttributes, removeAttributeModifiers`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServersideAttributeMap

          public ServersideAttributeMap()

  - ### Method Detail

    - #### func_111159_c

          public ModifiableAttributeInstance func_111159_c(Attribute par1Attribute)

    - #### func_111158_b

          public ModifiableAttributeInstance func_111158_b(String par1Str)

    - #### func_111150_b

          public AttributeInstance func_111150_b(Attribute par1Attribute)

      Specified by:
        `func_111150_b` in class `BaseAttributeMap`

    - #### func_111149_a

          public void func_111149_a(ModifiableAttributeInstance par1ModifiableAttributeInstance)

      Overrides:
        `func_111149_a` in class `BaseAttributeMap`

    - #### func_111161_b

          public Set func_111161_b()

    - #### func_111160_c

          public Collection func_111160_c()

    - #### getAttributeInstanceByName

          public AttributeInstance getAttributeInstanceByName(String par1Str)

      Overrides:
        `getAttributeInstanceByName` in class `BaseAttributeMap`

    - #### getAttributeInstance

          public AttributeInstance getAttributeInstance(Attribute par1Attribute)

      Overrides:
        `getAttributeInstance` in class `BaseAttributeMap`